#include "classicmode/classicnote.h"

ClassicNote::ClassicNote(NoteInitializer &&init) :
    Note(init.perfect_offset),
    _state(State::NONE)
{}

void ClassicNote::setState(ClassicNote::State state) noexcept
{
    _state = state;
}

auto ClassicNote::getState() const noexcept -> State
{
    return _state;
}
